116 posts
  • 6 Years of Membership
  • Author Level 1
  • Collector Level 2
  • Exclusive Author
+2 more
finsta2
says

Ok I am a noob when it comes to wordpress. My Question is: Are Wordpress themes compatible? I mean Will a 2.8 work with a 2.9 will a 2.9 work with a 2.9.8.7.6? I am scared to invest in a good theme because of the many updates wordpress does.

Any tips on which ones to buy?

2468 posts
  • 6 Years of Membership
  • Author Level 2
  • Affiliate Level 4
  • Beta Tester
+3 more
digitalimpact
says

Decide on the WP theme you need & like, then simply ask the author if the theme is tested under the WP version you want to use :)

116 posts
  • 6 Years of Membership
  • Author Level 1
  • Collector Level 2
  • Exclusive Author
+2 more
finsta2
says

yeah but what if they release a bug fix or maybe its even critical…I would hate to hire a freelancer to make it work with the new version.

In all honesty no authors on here update there theme to the latest version. At Least I haven’t saw any.

2468 posts
  • 6 Years of Membership
  • Author Level 2
  • Affiliate Level 4
  • Beta Tester
+3 more
digitalimpact
says
yeah but what if they release a bug fix or maybe its even critical…I would hate to hire a freelancer to make it work with the new version.

This will happen, you can’t avoid it. Someday, WP will change something important in the core, as they have throughout the years.

But having bought a theme here, when a core update is done for WP, you can ask the author here what to do to make it compatible, should you have trouble.

And by the way, most authors here DO update their stuff and DO offer support (don’t confuse with customization) – simply because it’s better for business ;)

739 posts
  • Collector Level 2
  • 6 Years of Membership
  • United States
  • Exclusive Author
Jar
says

Don’t forget you are not forced to update your Wordpress version… If it works, then you get problems with a later version, just go back to that version.

659 posts
  • 6 Years of Membership
  • Affiliate Level 3
  • Collector Level 2
  • Exclusive Author
+3 more
luckykind
says

Updates aren’t just for Wordpress… browsers get updated all of the time… sometimes, not all the time, that means newer versions break your older website… that’s just how it goes…

If you’re going to build any kind of site on the web… be prepared to either invest the time fixing it yourself at some point… or hiring someone else to do it…

116 posts
  • 6 Years of Membership
  • Author Level 1
  • Collector Level 2
  • Exclusive Author
+2 more
finsta2
says

Okay. Thanks

2541 posts
  • Affiliate Level 2
  • Author Level 2
  • Collector Level 3
  • United States
+9 more
CreatingDrew
says
Updates aren’t just for Wordpress… browsers get updated all of the time… sometimes, not all the time, that means newer versions break your older website… that’s just how it goes… If you’re going to build any kind of site on the web… be prepared to either invest the time fixing it yourself at some point… or hiring someone else to do it…

Great point, especially considering new standards constantly being drafted, very well said :)

by
by
by
by
by
by